## suomi-malaga 1.9

=== Makefile ===

# Build configuration. See README for more information.
PYTHON=python
VOIKKO_BUILDDIR=voikko
DESTDIR=/usr/lib/voikko
GENLEX_OPTS=
EXTRA_LEX=
VOIKKO_VARIANT=standard
VOIKKO_DESCRIPTION=suomi (perussanasto)
SM_PATCHINFO=
VANHAHKOT_MUODOT=yes
VANHAT_MUODOT=no
VOIKKO_DEBUG=no

# Include user's configuration
-include config.mak

# Suomi-malaga version
SM_VERSION=1.9
SM_BUILDDATE=$(shell date -R -u)

# Optional vocabulary files (needed in the source package)
OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions science-misc

# Source files for Sukija version.
SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
           sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
           sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh sukija/ei-sukija.txt \
           sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
           sukija/sukija.py sukija/suomi.all \
           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro \
           sukija/suomi.sym sukija/suomi.tex


# Files to ship only in the full source package
SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
         voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
         vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
         common/hfconv.py common/generate_lex_common.py \
         $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))

VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
               $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?

# Shared files needed in Voikko
VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex etuliitteet.lex seikkasanat.lex \
	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex \
	huudahdussanat.lex
VOIKKO_COPY_FROM_VOIKKO=voikko-fi_FI.all voikko-fi_FI.sym voikko-fi_FI.mor \
	olla-ei.lex suomi.lex suomi.inc voikko-fi_FI.lex

SUKIJA_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede

# Files to ship in the source package (duplicates are allowed)
SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
	$(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOIKKO))

VOIKKO_ACTUALLY_COPY_FROM_VOIKKO=
ifneq "$(VOIKKO_BUILDDIR)" "voikko"
	VOIKKO_ACTUALLY_COPY_FROM_VOIKKO=$(VOIKKO_COPY_FROM_VOIKKO)
endif

.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip

all: voikko

voikko: $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_ACTUALLY_COPY_FROM_VOIKKO)) \
	$(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/config.inc
	@malmake $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY)): $(VOIKKO_BUILDDIR)/%: vocabulary/%
	@mkdir -p $(VOIKKO_BUILDDIR)
	cp $^ $@

$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_COMMON)): $(VOIKKO_BUILDDIR)/%: common/%
	@mkdir -p $(VOIKKO_BUILDDIR)
	cp $^ $@

$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_ACTUALLY_COPY_FROM_VOIKKO)): $(VOIKKO_BUILDDIR)/%: voikko/%
	@mkdir -p $(VOIKKO_BUILDDIR)
	cp $^ $@

$(VOIKKO_BUILDDIR)/joukahainen.lex: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS) --destdir=$(VOIKKO_BUILDDIR)

$(VOIKKO_BUILDDIR)/main.lex: $(VOIKKO_BUILDDIR)/joukahainen.lex $(EXTRA_LEX)
	cat $^ > $@


# Rule to generate voikko-fi_FI.pro

VOIKKO_MURRE=no
ifeq "$(findstring dialect,$(GENLEX_OPTS))" "dialect"
	VOIKKO_MURRE=yes
endif

VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
	s/VOIKKO_MURRE/$(VOIKKO_MURRE)/; \
	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
	s/SM_VERSION/$(SM_VERSION)/; \
	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
	s/SM_BUILDDATE/$(SM_BUILDDATE)/"

$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@

$(VOIKKO_BUILDDIR)/config.inc:
	echo "define @voikko_debug := $(VOIKKO_DEBUG);" > $@

clean:
	rm -f $(VOIKKO_BUILDDIR)/*_l common/voikkoutils.pyc common/hfconv.pyc
	rm -f $(VOIKKO_BUILDDIR)/config.inc
	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
	rm -f "suomi-malaga-$(SM_VERSION).tar.gz"
	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY))
	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_COMMON))
	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_ACTUALLY_COPY_FROM_VOIKKO))
	rm -f $(VOIKKO_BUILDDIR)/joukahainen.lex $(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro
	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
	rm -f TAGS

# Rules for creating the source distribution

dist-gzip: suomi-malaga-$(SM_VERSION).tar.gz

suomi-malaga-$(SM_VERSION).tar.gz: $(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 suomi-malaga-$(SM_VERSION) | gzip -9 > $@

dist-bzip2: suomi-malaga-$(SM_VERSION).tar.bz2

suomi-malaga-$(SM_VERSION).tar.bz2: $(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 suomi-malaga-$(SM_VERSION) | bzip2 -9 > $@

$(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST))): suomi-malaga-$(SM_VERSION)/%: %
	install -m 644 -D $^ $@

voikko-install: voikko
	install -m 755 -d $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
	install -m 644 $(VOIKKO_BINDIST) $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)

# Vocabulary update
update-vocabulary:
	wget http://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
	| gunzip > vocabulary/joukahainen.xml


SUKIJA_COPY_FROM_VOCABULARY=\
erikoisalat/atk-lyhenteet.lex \
erikoisalat/linux-distributions.lex \
erikoiset.lex \
erikoissanat.lex \
etuliitteet.lex \
huudahdussanat.lex \
lainen.lex \
lukusanat.lex \
lyhenteet.lex \
poikkeavat.lex \
seikkasanat.lex \
sidesanat.lex \
suhdesanat.lex \
taivutustaydennykset.lex \
yhdyssanat.lex

sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
	$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML))
	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
	@mkdir -p sukija/voikonsanat/erikoisalat
	cp $^ $@

$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py \
	sukija/ei-sukija.txt
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
	$(PYTHON) sukija/generate_lex.py
	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex

TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
		$(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
	etags --lang=none --output=$@ \
		--regex='/[ \t]*\[.*\<perusmuoto:[ \t]*"\([^"]+\)"/\1/' \
		-- $^

=== debian/changelog ===
suomi-malaga (1.9-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Wed, 11 May 2011 12:47:31 +0300

=== debian/control ===
Source: suomi-malaga
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
Standards-Version: 3.9.1
Homepage: http://voikko.sourceforge.net/
Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga

Package: voikko-fi
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libvoikko1 (<< 2.2-1)
Description: A description of Finnish morphology written in Malaga
 Suomi-Malaga is a description of Finnish morphology written in Malaga.
 .
 This package contains a compiled version of Suomi-Malaga and basic Finnish
 vocabulary suitable for use in spell-checking and hyphenation system Voikko.

## suomi-malaga 1.10

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.9
+SM_VERSION=1.10
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)

=== debian/changelog ===
suomi-malaga (1.10-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Remove duplicate Section from control file
  * Remove beginning article from the short description

 -- Timo Jyrinki <timo@debian.org>  Fri, 23 Sep 2011 09:19:10 +0300

=== debian/control ===
Source: suomi-malaga
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
Standards-Version: 3.9.2
Homepage: http://voikko.sourceforge.net/
Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga

Package: voikko-fi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libvoikko1 (<< 2.2-1)
Description: Description of Finnish morphology written in Malaga
 Suomi-Malaga is a description of Finnish morphology written in Malaga.
 .
 This package contains a compiled version of Suomi-Malaga and basic Finnish
 vocabulary suitable for use in spell-checking and hyphenation system Voikko.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/dpatch/dpatch.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
else
 CFLAGS += -O2
endif

build: build-stamp
build-stamp: 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) voikko EXTRA_LEX=vocabulary/erikoisalat/linux-distributions.lex
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/voikko-fi.
	$(MAKE) voikko-install DESTDIR=$(CURDIR)/debian/voikko-fi/usr/lib/voikko
	
	# Build architecture-independent files here.
binary-indep: build install
	# We have nothing to do by default.
	
	# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## suomi-malaga 1.12

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # Build configuration. See README for more information.
 PYTHON=python
 VOIKKO_BUILDDIR=voikko
+VVFST_BUILDDIR=vvfst
 DESTDIR=/usr/lib/voikko
 GENLEX_OPTS=
 EXTRA_LEX=
@@ -10,13 +11,14 @@
 SM_PATCHINFO=
 VANHAHKOT_MUODOT=yes
 VANHAT_MUODOT=no
+SUKIJAN_MUODOT=no
 VOIKKO_DEBUG=no
 
 # Include user's configuration
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.10
+SM_VERSION=1.12
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -38,10 +40,15 @@
          voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
          vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
          common/hfconv.py common/generate_lex_common.py \
-         $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
+         $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
+         vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
+         vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in
 
 VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
                $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?
+
+VVFST_BINDIST=$(VVFST_BUILDDIR)/voikko-fi_FI.pro $(VVFST_BUILDDIR)/mor.vfst
+
 
 # Shared files needed in Voikko
 VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
@@ -64,7 +71,7 @@
 	VOIKKO_ACTUALLY_COPY_FROM_VOIKKO=$(VOIKKO_COPY_FROM_VOIKKO)
 endif
 
-.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip
+.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip vvfst vvfst-install
 
 all: voikko
 
@@ -105,6 +112,7 @@
 VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
 	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
 	s/VOIKKO_MURRE/$(VOIKKO_MURRE)/; \
+	s/SUKIJAN_MUODOT/$(SUKIJAN_MUODOT)/; \
 	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
 	s/SM_VERSION/$(SM_VERSION)/; \
@@ -130,6 +138,8 @@
 	rm -f $(VOIKKO_BUILDDIR)/joukahainen.lex $(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro
 	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
 	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
+	rm -f $(VVFST_BUILDDIR)/vvfst.gen.hfst $(VVFST_BUILDDIR)/vvfst.mor.hfst $(VVFST_BUILDDIR)/mor.vfst
+	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc
 	rm -f TAGS
 
 # Rules for creating the source distribution
@@ -190,6 +200,44 @@
 	$(PYTHON) sukija/generate_lex.py
 	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex
 
+
+
+vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+
+$(VVFST_BUILDDIR)/joukahainen.lexc: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
+	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
+	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
+	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
+
+$(VVFST_BUILDDIR)/taivutuskaavat.lexc: vvfst/taivutuskaavat.lexc.in vvfst/generate_taivutuskaavat.py
+	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
+
+$(VVFST_BUILDDIR)/vvfst.gen.hfst: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc
+	hfst-lexc --format=sfst $^ -o $@
+
+$(VVFST_BUILDDIR)/vvfst.mor.hfst: $(VVFST_BUILDDIR)/vvfst.gen.hfst
+	hfst-invert -i $< -o $@
+
+$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/vvfst.mor.hfst
+	hfst-fst2txt -D $< | voikkovfstc -o $@
+
+VVFST_PRO_SEDSCRIPT="s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
+	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
+	s/SM_VERSION/$(SM_VERSION)/; \
+	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
+	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
+	s/SM_BUILDDATE/$(SM_BUILDDATE)/"
+
+$(VVFST_BUILDDIR)/voikko-fi_FI.pro: vvfst/voikko-fi_FI.pro.in
+	sed -e $(VVFST_PRO_SEDSCRIPT) < $^ > $@
+
+
+vvfst-install: vvfst
+	install -m 755 -d $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
+	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
+
+
 TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
 		$(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
 	etags --lang=none --output=$@ \

=== debian/changelog ===
suomi-malaga (1.12-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Jun 2012 22:25:28 +0300

suomi-malaga (1.11-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Add recommended build targets

 -- Timo Jyrinki <timo@debian.org>  Tue, 27 Mar 2012 14:00:29 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://voikko.sourceforge.net/
 Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
 Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,10 @@
  CFLAGS += -O2
 endif
 
-build: build-stamp
-build-stamp: 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 	# Add here commands to compile the package.
 	$(MAKE) voikko EXTRA_LEX=vocabulary/erikoisalat/linux-distributions.lex

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Full-site-with-pattern  [Version  [Action]]
http://sf.net/voikko/suomi-malaga-(.*)\.tar\.[gb]z2?

## suomi-malaga 1.14

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.12
+SM_VERSION=1.14
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -30,9 +30,9 @@
            sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
            sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh sukija/ei-sukija.txt \
            sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
-           sukija/sukija.py sukija/suomi.all \
-           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro \
-           sukija/suomi.sym sukija/suomi.tex
+           sukija/sanat/etuliitteet.lex sukija/sanat/lyhenteet.lex sukija/sanat/atk-lyhenteet.lex \
+           sukija/sukija.py sukija/suomi.all sukija/suomi.sym sukija/suomi.tex \
+           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro
 
 
 # Files to ship only in the full source package
@@ -42,20 +42,22 @@
          common/hfconv.py common/generate_lex_common.py \
          $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
          vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
-         vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in
+         vvfst/suomi.lexc vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in \
+         vvfst/main.foma.in vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/generate_sukija.py
 
 VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
                $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?
 
 VVFST_BINDIST=$(VVFST_BUILDDIR)/voikko-fi_FI.pro $(VVFST_BUILDDIR)/mor.vfst
 
+VVFST_GENERATED_LEXC_SUFFIXES=ee em ep es h l n nl t p a s
+VVFST_GENERATED_LEXC=$(patsubst %,$(VVFST_BUILDDIR)/joukahainen-%.lexc,$(VVFST_GENERATED_LEXC_SUFFIXES))
 
 # Shared files needed in Voikko
 VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
-VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex etuliitteet.lex seikkasanat.lex \
+VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex seikkasanat.lex \
 	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
-	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex \
-	huudahdussanat.lex
+	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex
 VOIKKO_COPY_FROM_VOIKKO=voikko-fi_FI.all voikko-fi_FI.sym voikko-fi_FI.mor \
 	olla-ei.lex suomi.lex suomi.inc voikko-fi_FI.lex
 
@@ -129,7 +131,7 @@
 clean:
 	rm -f $(VOIKKO_BUILDDIR)/*_l common/voikkoutils.pyc common/hfconv.pyc
 	rm -f $(VOIKKO_BUILDDIR)/config.inc
-	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
+	rm -f common/generate_lex_common.pyc
 	rm -f "suomi-malaga-$(SM_VERSION).tar.gz"
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY))
@@ -138,9 +140,12 @@
 	rm -f $(VOIKKO_BUILDDIR)/joukahainen.lex $(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro
 	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
 	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
-	rm -f $(VVFST_BUILDDIR)/vvfst.gen.hfst $(VVFST_BUILDDIR)/vvfst.mor.hfst $(VVFST_BUILDDIR)/mor.vfst
-	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc
+	rm -f $(VVFST_BUILDDIR)/all.att $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma $(VVFST_BUILDDIR)/mor.vfst
+	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+	rm -f $(VVFST_GENERATED_LEXC) $(VVFST_BUILDDIR)/joukahainen.lexc.stamp
 	rm -f TAGS
+	rm -f $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma*
+	rm -f $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/sukija.fst $(VVFST_BUILDDIR)/test.out
 
 # Rules for creating the source distribution
 
@@ -168,15 +173,11 @@
 
 
 SUKIJA_COPY_FROM_VOCABULARY=\
-erikoisalat/atk-lyhenteet.lex \
 erikoisalat/linux-distributions.lex \
 erikoiset.lex \
 erikoissanat.lex \
-etuliitteet.lex \
-huudahdussanat.lex \
 lainen.lex \
 lukusanat.lex \
-lyhenteet.lex \
 poikkeavat.lex \
 seikkasanat.lex \
 sidesanat.lex \
@@ -193,8 +194,7 @@
 	cp $^ $@
 
 $(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
-	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py \
-	sukija/ei-sukija.txt
+	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py $(SUKIJA_SRC)
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) sukija/generate_lex.py
@@ -204,23 +204,27 @@
 
 vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
 
-$(VVFST_BUILDDIR)/joukahainen.lexc: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
+$(VVFST_BUILDDIR)/joukahainen.lexc.stamp: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
+	touch $@
 
 $(VVFST_BUILDDIR)/taivutuskaavat.lexc: vvfst/taivutuskaavat.lexc.in vvfst/generate_taivutuskaavat.py
 	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
 
-$(VVFST_BUILDDIR)/vvfst.gen.hfst: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc
-	hfst-lexc --format=sfst $^ -o $@
-
-$(VVFST_BUILDDIR)/vvfst.mor.hfst: $(VVFST_BUILDDIR)/vvfst.gen.hfst
-	hfst-invert -i $< -o $@
-
-$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/vvfst.mor.hfst
-	hfst-fst2txt -D $< | voikkovfstc -o $@
+$(VVFST_BUILDDIR)/all.lexc: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc.stamp vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc
+	cat vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc > $@
+
+$(VVFST_BUILDDIR)/main.foma: vvfst/main.foma.in
+	sed -e "s,VVFST_BUILDDIR,$(VVFST_BUILDDIR)," < $^ > $@
+
+$(VVFST_BUILDDIR)/all.att: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma
+	foma -f $(VVFST_BUILDDIR)/main.foma | grep -v "defined but not used" 2>&1
+
+$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/all.att
+	cat $^ | sort -n | voikkovfstc -o $@
 
 VVFST_PRO_SEDSCRIPT="s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
@@ -243,3 +247,31 @@
 	etags --lang=none --output=$@ \
 		--regex='/[ \t]*\[.*\<perusmuoto:[ \t]*"\([^"]+\)"/\1/' \
 		-- $^
+
+
+# Generate a big Voikko dictionary to use in Sukija (according to Harri Pitkänen).
+#
+voikko-sukija:
+	make voikko VANHAT_MUODOT=yes SUKIJAN_MUODOT=yes \
+		GENLEX_OPTS='--style=dialect,foreign,incorrect --min-frequency=10 \
+		--extra-usage=sukija,it,medicine,science,education,orgname' \
+		EXTRA_LEX="vocabulary/erikoisalat/atk-lyhenteet.lex \
+		vocabulary/erikoisalat/science-misc.lex" VOIKKO_DEBUG=yes
+
+
+# Rules for creating vvfst morphology for Sukija indexer. See file
+# $(VVFST_BUILDDIR)/generate_sukija.py for details.
+#
+vvfst-sukija: $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all.att
+
+$(VVFST_BUILDDIR)/all-sukija.lexc: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/generate_sukija.py.stamp
+	$(PYTHON) vvfst/generate_sukija.py --destdir=$(VVFST_BUILDDIR)
+
+$(VVFST_BUILDDIR)/all-sukija.att: $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma
+	foma -f $(VVFST_BUILDDIR)/main-sukija.foma | grep -v "defined but not used" 2>&1
+
+$(VVFST_BUILDDIR)/main-sukija.foma: $(VVFST_BUILDDIR)/main.foma
+	sed -e 's,/all,/all-sukija,'  < $^ > $@
+
+$(VVFST_BUILDDIR)/generate_sukija.py.stamp: $(VVFST_BUILDDIR)/generate_sukija.py
+	touch $@

=== sukija/Makefile ===
LEXICON = \
atk-lyhenteet.lex \
sanat/11-19.lex \
sanat/latex.lex \
sanat/jokinen.lex \
sanat/olla-ei.lex \
sanat/etuliitteet.lex \
sanat/lyhenteet.lex \
sanat/omat.lex \
voikonsanat/atk.lex \
voikonsanat/erikoiset.lex \
voikonsanat/erikoissanat.lex \
voikonsanat/joukahainen.lex \
voikonsanat/kasvatustiede.lex \
voikonsanat/laaketiede.lex \
voikonsanat/lainen.lex \
voikonsanat/lukusanat.lex \
voikonsanat/matluonnontiede.lex \
voikonsanat/poikkeavat.lex \
voikonsanat/seikkasanat.lex \
voikonsanat/sidesanat.lex \
voikonsanat/suhdesanat.lex \
voikonsanat/taivutustaydennykset.lex \
voikonsanat/yhdyssanat.lex \
voikonsanat/erikoisalat/linux-distributions.lex

all: suomi.pro $(LEXICON)
	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."

run: suomi.pro
	@malaga suomi.pro

kehitys: transmit suomi.pro
	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."

generoi:
	./generoi.sh
	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."

clean:
	/bin/rm -f *_l core.* transmit voikonsanat/*.lex \
                   voikonsanat/erikoisalat/*.lex k1 k2 foo bar

transmit: ../common/transmit.cc
	g++ -g ../common/transmit.cc -o transmit


SM=suomimalaga

tar:
	rm -f ${SM}.tar ${SM}.tar.bz2
	tar cf ${SM}.tar ${SM}
	bzip2 ${SM}.tar

mcopy:
	mdel a:${SM}.tar.bz2; mcopy ${SM}.tar.bz2 a:; mdir

bcopy:
	cp *_l *.pro ~/.sukija

vcopy:
	cp ../voikko/*_l ../voikko/*.pro ~/.voikko

k1: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
	cat ../../../koesanat1.txt | malaga -m suomi.pro >k1

k2: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
	cat ../../../koesanat2.txt | malaga -m suomi.pro >k2


diff:
	(diff ../../../koesanat1.out k1; diff ../../../koesanat2.out k2) >foo

cp1:
	cp k1 ../../../koesanat1.out; cp k2 ../../../koesanat2.out

kdiff:
	gawk -F'"' '{print $2, $3}' ~/koe*1.out >k1a
	gawk -F'"' '{print $2, $3}' ~/koe*2.out >k2a
	gawk -F'"' '{print $2, $3}' k1 >k1b
	gawk -F'"' '{print $2, $3}' k2 >k2b

=== debian/changelog ===
suomi-malaga (1.14-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Tue, 23 Jul 2013 14:53:03 +0300

suomi-malaga (1.13-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * copyright: Update to fix lintian warning

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 May 2013 16:24:24 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://voikko.sourceforge.net/
 Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
 Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga

## suomi-malaga 1.15

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.14
+SM_VERSION=1.15
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -34,6 +34,8 @@
            sukija/sukija.py sukija/suomi.all sukija/suomi.sym sukija/suomi.tex \
            sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro
 
+VVFST_LEXC=vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/lukusanat.lexc \
+           vvfst/asemosanat.lexc vvfst/seikkasanat.lexc vvfst/suhdesanat.lexc
 
 # Files to ship only in the full source package
 SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
@@ -42,22 +44,22 @@
          common/hfconv.py common/generate_lex_common.py \
          $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
          vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
-         vvfst/suomi.lexc vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in \
-         vvfst/main.foma.in vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/generate_sukija.py
+         vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in \
+         vvfst/main.foma.in $(VVFST_LEXC) vvfst/generate_sukija.py
 
 VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
                $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?
 
 VVFST_BINDIST=$(VVFST_BUILDDIR)/voikko-fi_FI.pro $(VVFST_BUILDDIR)/mor.vfst
 
-VVFST_GENERATED_LEXC_SUFFIXES=ee em ep es h l n nl t p a s
+VVFST_GENERATED_LEXC_SUFFIXES=ee em ep es h l n nl t p a s c
 VVFST_GENERATED_LEXC=$(patsubst %,$(VVFST_BUILDDIR)/joukahainen-%.lexc,$(VVFST_GENERATED_LEXC_SUFFIXES))
 
 # Shared files needed in Voikko
 VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
 VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex seikkasanat.lex \
 	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
-	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex
+	poikkeavat.lex lainen.lex taivutustaydennykset.lex
 VOIKKO_COPY_FROM_VOIKKO=voikko-fi_FI.all voikko-fi_FI.sym voikko-fi_FI.mor \
 	olla-ei.lex suomi.lex suomi.inc voikko-fi_FI.lex
 
@@ -73,7 +75,7 @@
 	VOIKKO_ACTUALLY_COPY_FROM_VOIKKO=$(VOIKKO_COPY_FROM_VOIKKO)
 endif
 
-.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip vvfst vvfst-install
+.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip vvfst vvfst-install vvfst-sukija vvfst-sukija-install
 
 all: voikko
 
@@ -146,6 +148,7 @@
 	rm -f TAGS
 	rm -f $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma*
 	rm -f $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/sukija.fst $(VVFST_BUILDDIR)/test.out
+	rm -f $(VVFST_BUILDDIR)/mor-sukija.vfst
 
 # Rules for creating the source distribution
 
@@ -180,7 +183,6 @@
 lukusanat.lex \
 poikkeavat.lex \
 seikkasanat.lex \
-sidesanat.lex \
 suhdesanat.lex \
 taivutustaydennykset.lex \
 yhdyssanat.lex
@@ -214,8 +216,8 @@
 $(VVFST_BUILDDIR)/taivutuskaavat.lexc: vvfst/taivutuskaavat.lexc.in vvfst/generate_taivutuskaavat.py
 	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
 
-$(VVFST_BUILDDIR)/all.lexc: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc.stamp vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc
-	cat vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc > $@
+$(VVFST_BUILDDIR)/all.lexc: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc.stamp $(VVFST_LEXC)
+	cat vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) $(VVFST_LEXC) > $@
 
 $(VVFST_BUILDDIR)/main.foma: vvfst/main.foma.in
 	sed -e "s,VVFST_BUILDDIR,$(VVFST_BUILDDIR)," < $^ > $@
@@ -262,16 +264,10 @@
 # Rules for creating vvfst morphology for Sukija indexer. See file
 # $(VVFST_BUILDDIR)/generate_sukija.py for details.
 #
-vvfst-sukija: $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all.att
+vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=it,medicine,science,education,orgname --sukija
+vvfst-sukija: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
 
 $(VVFST_BUILDDIR)/all-sukija.lexc: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/generate_sukija.py.stamp
 	$(PYTHON) vvfst/generate_sukija.py --destdir=$(VVFST_BUILDDIR)
 
 $(VVFST_BUILDDIR)/all-sukija.att: $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma
-	foma -f $(VVFST_BUILDDIR)/main-sukija.foma | grep -v "defined but not used" 2>&1
-
-$(VVFST_BUILDDIR)/main-sukija.foma: $(VVFST_BUILDDIR)/main.foma
-	sed -e 's,/all,/all-sukija,'  < $^ > $@
-
-$(VVFST_BUILDDIR)/generate_sukija.py.stamp: $(VVFST_BUILDDIR)/generate_sukija.py
-	touch $@

=== sukija/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LEXICON = \
-atk-lyhenteet.lex \
+sanat/atk-lyhenteet.lex \
 sanat/11-19.lex \
 sanat/latex.lex \
 sanat/jokinen.lex \
@@ -7,6 +7,8 @@
 sanat/etuliitteet.lex \
 sanat/lyhenteet.lex \
 sanat/omat.lex \
+sanat/seikkasanat.lex \
+sanat/sidesanat.lex \
 voikonsanat/atk.lex \
 voikonsanat/erikoiset.lex \
 voikonsanat/erikoissanat.lex \
@@ -17,7 +19,6 @@
 voikonsanat/lukusanat.lex \
 voikonsanat/matluonnontiede.lex \
 voikonsanat/poikkeavat.lex \
-voikonsanat/seikkasanat.lex \
 voikonsanat/sidesanat.lex \
 voikonsanat/suhdesanat.lex \
 voikonsanat/taivutustaydennykset.lex \

=== debian/changelog ===
suomi-malaga (1.15-1) unstable; urgency=low

  * Update watch URL
  * Update Homepage address and add Debian collab-maint git vcs addresses
  * Imported Upstream version 1.15
  * Switch more to debhelper defaults
  * Bump debhelper from 5 to 9

 -- Timo Jyrinki <timo@debian.org>  Mon, 11 Nov 2013 19:00:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
+Build-Depends: debhelper (>= 9.0.0), malaga-bin (>= 7.8), python
 Standards-Version: 3.9.4
-Homepage: http://voikko.sourceforge.net/
-Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
-Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga
+Homepage: http://voikko.puimula.org/
+Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary
 
 Package: voikko-fi
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --fail-missing

override_dh_auto_build:
	$(MAKE) voikko EXTRA_LEX=vocabulary/erikoisalat/linux-distributions.lex
	
override_dh_auto_install:
	$(MAKE) voikko-install DESTDIR=$(CURDIR)/debian/voikko-fi/usr/lib/voikko

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Full-site-with-pattern  [Version  [Action]]
http://www.puimula.org/voikko-sources/suomi-malaga/suomi-malaga-(.*)\.tar\.gz

## suomi-malaga 1.16

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.15
+SM_VERSION=1.16
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -45,7 +45,7 @@
          $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
          vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
          vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in \
-         vvfst/main.foma.in $(VVFST_LEXC) vvfst/generate_sukija.py
+         vvfst/main.foma.in $(VVFST_LEXC) vvfst/generate_sukija.py vvfst/poikkeavat-sukija.lexc
 
 VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
                $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?
@@ -267,7 +267,6 @@
 vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=it,medicine,science,education,orgname --sukija
 vvfst-sukija: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
 
-$(VVFST_BUILDDIR)/all-sukija.lexc: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/generate_sukija.py.stamp
-	$(PYTHON) vvfst/generate_sukija.py --destdir=$(VVFST_BUILDDIR)
-
-$(VVFST_BUILDDIR)/all-sukija.att: $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma
+vvfst-sukija-ys: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=it,medicine,science,education,orgname --sukija --sukija-ys
+vvfst-sukija-ys: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+

=== debian/changelog ===
suomi-malaga (1.16-1) unstable; urgency=medium

  * Imported Upstream version 1.16
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Wed, 02 Apr 2014 20:20:35 +0300

## suomi-malaga 1.17

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,11 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.16
+SM_VERSION=1.17
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
-OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions science-misc
+OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions
 
 # Source files for Sukija version.
 SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
@@ -44,13 +44,13 @@
          common/hfconv.py common/generate_lex_common.py \
          $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
          vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
-         vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in \
+         vvfst/taivutuskaavat.lexc.in vvfst/index.txt.in \
          vvfst/main.foma.in $(VVFST_LEXC) vvfst/generate_sukija.py vvfst/poikkeavat-sukija.lexc
 
 VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
                $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?
 
-VVFST_BINDIST=$(VVFST_BUILDDIR)/voikko-fi_FI.pro $(VVFST_BUILDDIR)/mor.vfst
+VVFST_BINDIST=$(VVFST_BUILDDIR)/index.txt $(VVFST_BUILDDIR)/mor.vfst
 
 VVFST_GENERATED_LEXC_SUFFIXES=ee em ep es h l n nl t p a s c
 VVFST_GENERATED_LEXC=$(patsubst %,$(VVFST_BUILDDIR)/joukahainen-%.lexc,$(VVFST_GENERATED_LEXC_SUFFIXES))
@@ -143,7 +143,7 @@
 	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
 	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
 	rm -f $(VVFST_BUILDDIR)/all.att $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma $(VVFST_BUILDDIR)/mor.vfst
-	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/index.txt
 	rm -f $(VVFST_GENERATED_LEXC) $(VVFST_BUILDDIR)/joukahainen.lexc.stamp
 	rm -f TAGS
 	rm -f $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma*
@@ -204,7 +204,7 @@
 
 
 
-vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/index.txt
 
 $(VVFST_BUILDDIR)/joukahainen.lexc.stamp: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
@@ -235,13 +235,13 @@
 	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
 	s/SM_BUILDDATE/$(SM_BUILDDATE)/"
 
-$(VVFST_BUILDDIR)/voikko-fi_FI.pro: vvfst/voikko-fi_FI.pro.in
+$(VVFST_BUILDDIR)/index.txt: vvfst/index.txt.in
 	sed -e $(VVFST_PRO_SEDSCRIPT) < $^ > $@
 
 
 vvfst-install: vvfst
-	install -m 755 -d $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
-	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
+	install -m 755 -d $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
+	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
 
 
 TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
@@ -257,16 +257,15 @@
 	make voikko VANHAT_MUODOT=yes SUKIJAN_MUODOT=yes \
 		GENLEX_OPTS='--style=dialect,foreign,incorrect --min-frequency=10 \
 		--extra-usage=sukija,it,medicine,science,education,orgname' \
-		EXTRA_LEX="vocabulary/erikoisalat/atk-lyhenteet.lex \
-		vocabulary/erikoisalat/science-misc.lex" VOIKKO_DEBUG=yes
+		EXTRA_LEX="vocabulary/erikoisalat/atk-lyhenteet.lex" VOIKKO_DEBUG=yes
 
 
 # Rules for creating vvfst morphology for Sukija indexer. See file
 # $(VVFST_BUILDDIR)/generate_sukija.py for details.
 #
 vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=it,medicine,science,education,orgname --sukija
-vvfst-sukija: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+vvfst-sukija: $(VVFST_BUILDDIR)/mor-sukija.vfst voikko/voikko-fi_FI.pro.in $(VVFST_BUILDDIR)/index.txt
 
 vvfst-sukija-ys: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=it,medicine,science,education,orgname --sukija --sukija-ys
-vvfst-sukija-ys: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
-
+vvfst-sukija-ys: $(VVFST_BUILDDIR)/mor-sukija.vfst voikko/voikko-fi_FI.pro.in $(VVFST_BUILDDIR)/index.txt
+

=== debian/changelog ===
suomi-malaga (1.17-1) unstable; urgency=medium

  * Imported Upstream version 1.17

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Aug 2014 12:00:31 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9.0.0), malaga-bin (>= 7.8), python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://voikko.puimula.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary

## suomi-malaga 1.18

=== debian/changelog ===
suomi-malaga (1.18-1) experimental; urgency=medium

  * Imported Upstream version 1.18

 -- Timo Jyrinki <timo@debian.org>  Tue, 10 Feb 2015 16:21:32 +0200

## suomi-malaga 2.0

=== debian/changelog ===
suomi-malaga (2.0-2) unstable; urgency=medium

  * Improve package description now that malaga is no longer used.

 -- Timo Jyrinki <timo@debian.org>  Thu, 11 Feb 2016 10:12:36 +0200

suomi-malaga (2.0-1) unstable; urgency=medium

  [ Timo Jyrinki ]
  * New upstream major version.
  * Drops malaga usage, uses now VFST (Varissuo Finite State Transducer).
  * Require libvoikko-dev >= 4.0 for building. 
  * Drop malaga-bin, switch to Python 3.
  * Bump Standards-Version, no changes.
  * debian/watch: update url (now called voikko-fi)
  * debian/rules: adjust to build using vvfst parameter
  * Require foma for building.
  * Use C.UTF-8 locale for a successful (and more reproducible) build.

  [ Chris Lamb ]
  * debian/patches/10_source_date_epoch.patch: reproducible build
    (Closes: #807161)

 -- Timo Jyrinki <timo@debian.org>  Wed, 10 Feb 2016 17:04:22 +0200

=== debian/control ===
Source: suomi-malaga
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0), foma-bin, python3, libvoikko-dev (>= 4.0)
Standards-Version: 3.9.6
Homepage: http://voikko.puimula.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary

Package: voikko-fi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libvoikko1 (<< 2.2-1)
Description: Description of Finnish morphology written for libvoikko
 Voikko-fi (previously known as suomi-malaga) is a description of Finnish
 morphology written for libvoikko.
 .
 This package contains a compiled version of Voikko-fi using the new
 unweighted VFST dictionary format. It is suitable for use in spell checking,
 grammar checking and hyphenation system Voikko, provided by the libvoikko
 library.
